Bug 1961717 - Update runtime dependencies to Wallaby builds for bugfixes
Summary: Update runtime dependencies to Wallaby builds for bugfixes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Lon Hohberger
QA Contact: Lubov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-18 14:47 UTC by Lon Hohberger
Modified: 2021-07-27 23:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes Only
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 170 0 None open Bug 1961717: Update dependencies to Wallaby versions 2021-05-18 14:51:45 UTC
Github openshift ironic-image pull 175 0 None open Bug 1961717: Update remaining out of date deps to Wallaby versions 2021-05-21 16:35:08 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:28 UTC

Description Lon Hohberger 2021-05-18 14:47:30 UTC
Description of problem: Ironic for OCP 4.8 is from Stable/Wallaby. We should update Oslo and runtime dependencies to match the builds contained within the IPA ramdisks built on 4/28, including several builds from Stable/Wallaby.

Comment 1 Lon Hohberger 2021-05-18 14:54:37 UTC
https://github.com/openshift/ironic-image/pull/170

Comment 5 Lubov 2021-06-01 08:41:10 UTC
verified on 4.8.0-0.nightly-2021-05-31-085539

For pull 170 as expected:
[kni@provisionhost-0-0 ~]$ oc exec -it metal3-569847c6f-885d2 -c metal3-ironic-conductor -- bash
[root@master-0-2 /]# rpm -qa |grep python3
python3-debtcollector-2.2.0-0.20210324220630.649189d.el8.noarch
python3-ironic-lib-4.6.2-0.20210329132157.5d54fe0.el8.noarch
python3-oslo-concurrency-4.4.0-0.20210325004915.7dcf9e9.el8.noarch
python3-oslo-config-8.5.0-0.20210325050501.cfa2564.el8.noarch
python3-oslo-context-3.2.0-0.20210325043103.0d02866.el8.noarch
python3-oslo-i18n-5.0.1-0.20210324221600.73187bd.el8.noarch
python3-oslo-log-4.4.0-0.20210409081224.9b29c90.el8.noarch
python3-oslo-serialization-4.1.0-0.20210325012242.8445e61.el8.noarch
python3-oslo-service-2.5.0-0.20210325014731.d25e454.el8.noarch
python3-oslo-utils-4.8.0-0.20210325043201.3288539.el8.noarch
python3-stevedore-3.3.0-0.20210325001012.7d7154f.el8.noarch

For pull 175 changes are not applied yet

Comment 6 Lubov 2021-06-01 14:27:34 UTC
on 4.8.0-0.nightly-2021-06-01-043518

For pull 175:
openstack-ironic-api-17.0.3-0.20210518121213.77be4c6.el8.noarch
openstack-ironic-conductor-17.0.3-0.20210518121213.77be4c6.el8.noarch
python3-oslo-db-8.5.0-0.20210325041241.503db60.el8.noarch
python3-keystoneauth1-4.3.0-0.20210325001456.6a66271.el8.noarch
python3-openstacksdk-0.53.0-0.20210325011601.4629245.el8.noarch
python3-oslo-policy-3.7.0-0.20210325051823.d853485.el8.noarch
python3-tooz-2.8.0-0.20210324235001.54448e9.el8.noarch
python3-sushy-3.7.1-0.20210428165244.bc49878.el8.noarch
python3-sushy-oem-idrac-2.0.1-0.20210326152858.83b7eb0.el8.noarch

Comment 9 errata-xmlrpc 2021-07-27 23:09:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.